<?php if (!defined('BB2_CORE')) die('I said no cheating!');

// Defines the responses which Bad Behavior might return.

function bb2_get_response($key) {
	$bb2_responses = array(
		'00000000' => array('response' => 200, 'explanation' => '', 'log' => 'Consentito'),
		'SMF11111' => array('response' => 403, 'explanation' => 'Devi avere uno User Agent per accedere a questo sito.', 'log' => 'User Agent non presente'),
		'136673cd' => array('response' => 403, 'explanation' => 'Il tuo indirizzo IP &egrave; elencato su una blacklist di indirizzi coinvolti in attività sospette o illegatli. Vedi la lista seguente per ulteriori dettagli su blacklist e procedure di rimozione.', 'log' => 'Indirizzo IP trovato in una blacklist esterna'),
		'17566707' => array('response' => 403, 'explanation' => 'E\' stata ricevuta una richiesta non valida dal tuo browser. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser.', 'log' => 'Intestazione \'Accept\' obbligatoria mancante'),
		'17f4e8c8' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'User-Agent trovato su una blacklist'),
		'21f11d3f' => array('response' => 403, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Hai affermato di essere un dispositivo Web mobile, ma non sembra sia cos&iacute;.', 'log' => 'Lo User-Agent ha affermato di essere AvantGo, ma cos&iacute; non sembra'),
		'2b021b1f' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, esegui un test anti-virus e anti-spyware e rimuovi ogni virus e spyware dal tuo computer.', 'log' => 'Indirizzo IP trovato sulla blacklist http:BL'),
		'2b90f772' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Se stai usando il browser Opera, allora Opera deve apparire nel tuo User-Agent.', 'log' => 'Connessione: TE presente, non supportato da MSIE'),
		'35ea7ffa' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Controlla la lingua del tuo browser e le impostazioni di localizzazione.', 'log' => 'Lingua selezionata non valida'),
		'408d7e72' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Non hai i permessi per accedere a questo server. Prima di riprovare, esegui un test anti-virus e anti-spyware e rimuovi ogni virus e spyware dal tuo computer..', 'log' => 'POST inviato troppo velocemente dopo il GET'),
		'41feed15' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Ciò potrebbe essere causato da un Server Proxy malfunzionante. Aggira il Server Proxy e connettiti direttamente, oppure contatta l\'amministratore del tuo Server Proxy.', 'log' => 'Intestazione \'Pragma\' senza \'Cache-Control\' proibita per richieste di tipo HTTP/1.1'),
		'45b35e30' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida dal tuo browser. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser.', 'log' => 'Intestazione \'Referer\' risulta corrotta'),
		'57796684' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, esegui un test anti-virus e anti-spyware e rimuovi ogni virus e spyware dal tuo computer.', 'log' => 'Intestazione vietata \'X-Aaaaaaaaaa\' o \'X-Aaaaaaaaaaaa\' presente'),
		'582ec5e4' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Se stai usando un Server Proxy, aggiralo o contatta il l\'amministratore. Ciò potrebbe anche essere dovuto ad un bug del browser Opera.', 'log' => '"Intestazione \'TE\' presente, ma TE non specificato nell\'intestazione \'Connection\''),
		'69920ee5' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser.', 'log' => 'Intestazione \'Referer\' presente ma vuota'),
		'6c502ff1' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'Bot non pienamente compatibile con la RFC 2965'),
		'70e45496' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'User agent afferma di essere CloudFlare, ma cos&iacute; non sembra'),
		'71436a15' => array('response' => 403, 'explanation' => 'E\'stata ricevuta una richiesta non valida. Hai affermato di essere un grande motore di ricerca, ma cos&iacute; non sembra.', 'log' => 'User-Agent afferma di essere Yahoo, ma cos&iacute; non sembra'),
		'799165c2' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'Individuata rotazione di user-agents'),
		'7a06532b' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida dal tuo browser. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser.', 'log' => 'Intestazione obbligatoria \'Accept-Encoding\' mancante'),
		'7ad04a8a' => array('response' => 400, 'explanation' => 'Il programma automatico che stai usando non &egrave; consentito per accedere a questo server. Per favore usa un programma diverso o un Web browser standard.', 'log' => 'Intestazione vietata \'Range\' presente'),
		'7d12528e' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'Intestanzione vietata \'Range\' o \'Content-Range\' nella richiesta POST'),
		'939a6fbb' => array('response' => 403, 'explanation' => 'Il Server Proxy che stai usando non &egrave; consentito per accedere a questo server. Per favore aggiralo o contatta l\'amministratore del Proxy Server.', 'log' => 'Proxy Server bloccato in uso'),
		'9c9e4979' => array('response' => 403, 'explanation' => 'Il Server Proxy che stai usando non &egrave; consentito per accedere a questo server. Per favore aggiralo o contatta l\'amministratore del Proxy Server.', 'log' => 'Intestazione vietata \'via\' presente'),
		'a0105122' => array('response' => 417, 'explanation' => 'Attesa fallita. Per favore prova di nuova la tua richiesta.', 'log' => 'Intestazione \'Expect\' vietata; inviare nuovamente senza Expect'),
		'a1084bad' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'User-Agent afferma di essere MSIE, con una versione di Windows non valida'),
		'a52f0448' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser. Se stai usando un Server Proxy, aggiralo o contatta il l\'amministratore. ', 'log' => 'Intestazione \'Connection\' contiene valori non validi'),
		'b0924802' => array('response' => 400, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Ciò potrebbe essere dovuto a software sospetto nel tuo computer.', 'log' => 'Forma non corretta di HTTP/1.0 Keep-Alive'),
		'b40c8ddc' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, chiudi il tuo browser, esegui un test anti-virus e anti-spyware e rimuovi ogni virus o spyware dal tuo computer.', 'log' => 'POST ricevuto pi&ugrave; di due giorni dopo il GET'),
		'b7830251' => array('response' => 400, 'explanation' => 'Il tuo Server Proxy ha inviato una richiesta non valida. Per favore contatta l\'amministratore del Server Proxy per risolvere questo problema.', 'log' => 'Intestazione vietata \'Proxy-Connection\' presente'),
		'b9cc1d86' => array('response' => 403, 'explanation' => 'Il Server Proxy che stai usando non &egrave; consentito per accedere a questo server. Per favore aggiralo o contatta l\'amministratore del Proxy Server.', 'log' => 'Intestazione vietata \'X-Aaaaaaaaaa\' o \'X-Aaaaaaaaaaaa\' presente'),
		'c1fa729b' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, esegui un test anti-virus e anti-spyware e rimuovi ogni virus o spyware dal tuo computer.', 'log' => 'Individuato uso di Proxy Server a rotazione'),
		'cd361abb' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. I dati potrebbero non essere pubblicati da form al di fuori del sito Web.', 'log' => 'Referer non punta ad un form di questo sito Web'),
		'd60b87c7' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, rimuovi ogni virus e spyware dal tuo computer.', 'log' => 'Trackback ricevuto tramite un Server Proxy'),
		'e3990b47' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, rimuovi ogni virus e spyware dal tuo computer.', 'log' => 'Ricevuto Trackback sicuramente falso'),
		'dfd9b1ad' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'La richiesta conteneva Javascript dannoso o un attacco di tipo SQL injection'),
		'e4de0453' => array('response' => 403, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Hai affermato di essere un grande motore di ricerca, ma cos&iacute; non sembra.', 'log' => 'User-Agent afferma di essere msnbot, ma cos&iacute; non sembra'),
		'e87553e1' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server.', 'log' => 'Ti conosco e non mi piaci, sporco spammer.'),
		'f0dcb3fd' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Prima di riprovare, esegui un test anti-virus e anti-spyware e rimuovi ogni virus o spyware dal tuo computer.', 'log' => 'Il Web browser ha provato ad inviare un trackback'),
		'f1182195' => array('response' => 403, 'explanation' => 'E\' stata ricevuta una richiesta non valida. Hai affermato di essere un grande motore di ricerca, ma cos&iacute; non sembra.', 'log' => 'User-Agent afferma di essere Gogglebot, ma cos&iacute; non sembra.'),
		'f9f2b8b9' => array('response' => 403, 'explanation' => 'Non hai i permessi per accedere a questo server. Ciò potrebbe essere causato da un Server Proxy malfunzionante o da un Software di Privacy del tuo browser.', 'log' => 'Uno User-Agent &egrave; richiesto, ma non ne &egrave; stato fornito nessuno.'),
	);

	if (array_key_exists($key, $bb2_responses)) return $bb2_responses[$key];
	return array('00000000');
}
